<template>
  <v-card :to="`/projects/${id}`" flat tile class="d-flex">
    <v-img
      :src="photo ? `${window.location.origin}/api/Containers/container-${id}/download/${photo}` : 'https://cdn.vuetifyjs.com/images/parallax/material.jpg'"
      :aspect-ratio="16/8"
    >
      <v-row align="end" class="img-gradient pa-5 fill-height">
        <v-col>
          <div class="category d-flex align-end">
            <div class="category-icon mr-2">
              <v-img
                v-if="icon"
                :src="require(`../assets/img/${icon}`)"
                contain
                width="30"
              />
            </div>
            <div class="category-name subtitle-2 font-weight-bold">
              {{category}}
            </div>
          </div>
          <div class="headline font-weight-bold white--text mt-5">{{name}}</div>
        </v-col>
      </v-row>

      <template v-slot:placeholder>
        <v-row
          class="fill-height ma-0"
          align="center"
          justify="center"
        >
          <v-progress-circular indeterminate color="grey lighten-5"></v-progress-circular>
        </v-row>
      </template>
    </v-img>
  </v-card>
</template>
<script>
  export default {
    name: 'ProjectShort1',
    computed: {
      window: function() {
        return window;
      }
    },
    props: {
      id: Number,
      name: String,
      category: String,
      icon: String,
      photo: String,
    },
  };
</script>
<style scoped>

  .img-gradient {
    background-image: linear-gradient(360deg, #3D3D3D 0%, rgba(255, 255, 255, 0) 91.5%);
  }

  .category-icon {
    filter: brightness(0) invert(1);
  }

  .category-name {
    color: #fff;
  }
</style>
